import { WeaTools } from 'ecCom';

// 保存| 初始化
export const save = (params, cb) => {
    cb && cb();
    return WeaTools.callApi('/api/integration/imrtx/save', 'POST', params);
};

// 获取新建表单
export const getForm = params => {
    return WeaTools.callApi('/api/integration/imrtx/getForm', 'POST', params);
};

// 获取高级搜索条件
export const getCondition = params => {
    return WeaTools.callApi('/api/integration/imsynlog/getListConditions', 'POST', params);
};

// 获取列表
export const getTable = params => {
    return WeaTools.callApi('/api/integration/imsynlog/getLogList', 'POST', params);
};

export const getPassWord = params => WeaTools.callApi('/api/integration/imrtx/getPassWord', 'POST', params);